Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000587XdebugUsage problemspublic2010-06-19 12:382011-06-24 17:51
Reporterarmencho 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000587: XDebug makes PHP always give out 200 OK, even with [fatal] errors
DescriptionMy Apache 2.2.15 / PHP 5.3.2 sets HTTP status code to 500 on errors, which is indeed a correct route of behavior to take, given how a lot of clients interpret status codes before they interpret response bodies.

I have compiled and installed XDebug 2.0.5 and after enabling it, the same script errors no longer result in HTTP status code 500.

I believe this is erroneous behavior on XDebug's part.
Tagshttp status code
Operating SystemUbuntu Linux 32-bit, kernel 2.6.31-22-generic
PHP Version5.3.2
Attached Files

- Relationships

-  Notes
(0001510)
derick (administrator)
2010-06-24 20:18

Before I can address this, there need to be some changes in PHP itself. It doesn't expose some required information to extensions yet that I will need.
(0001756)
derick (administrator)
2011-06-24 17:51

I've committed the patches into PHP, so this will work from PHP 5.4 (once it gets released) and later.

- Issue History
Date Modified Username Field Change
2010-06-19 12:38 armencho New Issue
2010-06-19 12:38 armencho Operating System => Ubuntu Linux 32-bit, kernel 2.6.31-22-generic
2010-06-19 12:38 armencho PHP Version => 5.3.2
2010-06-19 12:38 armencho Xdebug Version => 2.0.5
2010-06-19 13:55 armencho Tag Attached: http status code
2010-06-24 20:18 derick Note Added: 0001510
2011-06-24 17:51 derick Note Added: 0001756
2011-06-24 17:51 derick Status new => closed
2011-06-24 17:51 derick Assigned To => derick
2011-06-24 17:51 derick Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker